/*
vector.h

matrix manipulation library
version 0.06
Peter A. Cejchan, GPL
Mon Jul 31 12:24:25 MET 2006
<cej@gli.cas.cz | pac7@post.cz>

float vector structure and functions

*/

//structures
struct Vector{
	int len;
	double *x;

};

//functions

Vector * vec_alloc(int len);		// allocates memory for a vector
int  vec_read(Vector *V);		// read whitespace-delimited vector
void  vec_write(Vector *V);		// write out a vector
int  vec_wheremax(Vector *V, int *col);			//prints out col index of first occurrence of max value
int vec_max(Vector *V, double *maxx);
double  vec_scalar_prod(Vector *v1,Vector *v2);		// SUM[ v1i*v2i ]
